| LicenseSpring Management .Net SDK 1.15.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Properties | List of all members
LicenseSpring.ListLicensesRequestDto Class Reference

Data transfer object that is used for searching through all licenses. All fields represent a query that can be used to filter through licenses. More...

Inheritance diagram for LicenseSpring.ListLicensesRequestDto:

## Properties
string | Company`[get, set]`
| The resulting set can be filtered by the company code. If there are multiple companies under your management, this field can further specify from which company does the server filter through licenses.
string | CustomerAccountCode`[get, set]`
| The resulting set can be filtered by Order -> Customer -> CustomerAccount.Code.
string | CustomerCompanyNameContains`[get, set]`
| The resulting set can be filtered by the partial match of customers company name (case insensitive).
string | CustomerEmail`[get, set]`
| The resulting set can be filtered by the email of the customer the licenses that need to be retrieved belong to.
string | CustomerEmailContains`[get, set]`
| The resulting set can be filtered by the partial match of customers email.
string | CustomerId`[get, set]`
| The resulting set can be filtered by the id of the customer the licenses that need to be retrieved belong to.
string | CustomerNameContains`[get, set]`
| The resulting set can be filtered by the partial customers name (case insensitive), either first or last name.
string | CustomerReferenceContains`[get, set]`
| The resulting set can be filtered by the partial match of customers reference (case insensitive).
bool? | Enabled`[get, set]`
| If set to true, it will return only enabled licenses.
ulong? | IdIn`[get, set]`
| 16 digit license id, isn't manually generated.
bool? | IsAnyFloating`[get, set]`
| If set to true, it will return only offline floating on-premises and offline floating cloud licenses. Else, it will return non-floating licenses.
string | LicenseKey`[get, set]`
| The resulting set can be filtered by the license key of the license that needs to be retrieved (exact match).
string | LicenseKeyContains`[get, set]`
| The resulting set can be filtered by the license key of the license that needs to be retrieved (exact match).
bool? | LicenseKeyIsNull`[get, set]`
| If set to true, the result will contain only user-based licenses. If set to false, the result will contain only key-based licenses.
string | LicenseKeyStartsWith`[get, set]`
| The resulting set can be filtered by the partial match of the license key (starts with match). This field should be set only on key based licenses.
string | LicenseUserEmailContains`[get, set]`
| The resulting set can be filtered by the partial match of the license users email (case insensitive).
string | NoteContains`[get, set]`
| The resulting set can be filtered by the partial match of the note attached to a license (case insensitive).
OrderLicensesBy | Order`[get, set]`
| The result of the queries is a list that can than be ordered in ascending order by some attribute.This is where that attribute needs to be set.
string | OrderByString`[get]`
| OrderBy attribute converted to string.
string | OrderCustomerAccount`[get, set]`
| The resulting set can be filtered by Order -> CustomerAccount.
string | OrderCustomerAccountCode`[get, set]`
| The resulting set can be filtered by Order -> CustomerAccount.Code.
string | OrderCustomerAccountCodeContains`[get, set]`
| The resulting set can be filtered by Order -> CustomerAccount.Code (case insensitive substring).
string | OrderCustomerAccountName`[get, set]`
| The resulting set can be filtered by Order -> CustomerAccount.Name.
string | OrderCustomerAccountNameContains`[get, set]`
| The resulting set can be filtered by Order -> CustomerAccount.Name (case insensitive substring).
string | OrderStoreId`[get, set]`
| The resulting set can be filtered by the order store id that can be manually set in platform or through SDK. Not to be confused with order id that the server generates.
string | OrderStoreIdContains`[get, set]`
| The resulting set can be filtered by the partial match of the order store id (case insensitive) that can be manually set in platform or through SDK. Not to be confused with order id that the server generates.
string | OrderStoreIdStartsWith`[get, set]`
| The resulting set can be filtered by the partial match of the Order store id (starts with match) that can be manually set in the platform platform or through SDK. Not to be confused with order id that the server generates.
Properties inherited from LicenseSpring.BaseListDto
int | Limit`[get, set]`
| Number of results you want to be shown. Server sends paginated response that's why limit can be set. Default is 20.
int | Offset`[get, set]`

## Detailed Description

Data transfer object that is used for searching through all licenses. All fields represent a query that can be used to filter through licenses.

The documentation for this class was generated from the following file:

- Dto/ListLicensesRequestDto.cs